Get Transfers by Transaction Hash
curl --request GET \
--url https://api-gateway.sonarx.com/api/v1/customer/{chain}/{transaction_hash}/transfers \
--header 'apikey: <api-key>'import requests
url = "https://api-gateway.sonarx.com/api/v1/customer/{chain}/{transaction_hash}/transfers"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api-gateway.sonarx.com/api/v1/customer/{chain}/{transaction_hash}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_hash": "0xe2992136873e11528ea17ebbfc3963ed0f50aa63604009a519985f1333a29f7e",
"offset": 0,
"limit": 10,
"result": [
{
"block_number": 60000000,
"timestamp": 1722368382,
"datetime": "2024-07-30T19:39:42",
"transaction_hash": "0xe2992136873e11528ea17ebbfc3963ed0f50aa63604009a519985f1333a29f7e",
"log_index": 0,
"from_address": "0x6dd23e950878b1142772335cd122e92d47876c3e",
"to_address": "0x8b362a4429169ae7e86e21221923beb39316c939",
"asset_class": "erc20",
"token_address": "0xa3fb72cbf2e07dc1b34aea569ed40755fd978bd8",
"symbol": "OPX",
"name": "Opex",
"source_value": 980000000,
"version": 0,
"value": 980,
"usd_value": null
}
],
"count": 1
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Transfers
Get Transfers by Transaction Hash
Get all token transfers for a specific transaction
GET
/
api
/
v1
/
customer
/
{chain}
/
{transaction_hash}
/
transfers
Get Transfers by Transaction Hash
Authorizations
API key for authentication
Path Parameters
The blockchain network to query
Available options:
polygon Example:
"polygon"
Transaction hash (0x followed by 64 hex characters)
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0xe2992136873e11528ea17ebbfc3963ed0f50aa63604009a519985f1333a29f7e"
Query Parameters
Maximum number of results (1-100)
Required range:
1 <= x <= 50Number of results to skip for pagination
Required range:
x >= 0⌘I